var ybu_swfu;

function ybu_cancel(fileid)
{
	//cancel upload
	ybu_swfu.cancelUpload(fileid, false);

	//remove element from list
	var progressElem = document.getElementById("ybu_progress_list");
	var li = document.getElementById("ybu_upload_"+fileid);
	progressElem.removeChild(li);
}

function ybu_fileDialogComplete(num_files_queued) 
{
	if (num_files_queued > 0)
	{
		var progressElem = document.getElementById("ybu_progress");
		progressElem.style.visibility = "visible";

		this.startUpload();
	}
}

function ybu_fileQueued(file)
{
	/*
	//disable form
	var formElem = document.getElementById("ybu_upload_form");
	var elements = formElem.getElementsByTagName("input");
	for(var i in elements)
	{
		elements[i].disabled = true;
	}
	*/

	//Add file to progress list
	var progressElem = document.getElementById("ybu_progress_list");

	var liElem = document.createElement("LI");
	liElem.id = "ybu_upload_"+file.id;
	liElem.className = "ybu_file";
	
	var pElem = document.createElement("P");
	var textElem = document.createTextNode(file.name);
	pElem.appendChild(textElem);
	liElem.appendChild(pElem);
	
	var divElem = document.createElement("DIV");
	divElem.id = "ybu_progress_"+file.id;
	divElem.className = "ybu_progress";
	liElem.appendChild(divElem);

	progressElem.appendChild(liElem);
}

function ybu_uploadStart(file)
{
	//alert("starting: "+file.name);

	//get form values
	var exifdate = document.getElementById("ybu_exifdate").checked ? 1 : 0;
	var iptc = document.getElementById("ybu_iptc").checked ? 1 : 0;
	var category = document.getElementById("ybu_category").value;
	var author = document.getElementById("ybu_user").value;

	//add post params
	this.addFileParam(file.id, "post_title", file.name.replace("_"," "));
	this.addFileParam(file.id, "exifdate", exifdate);
	this.addFileParam(file.id, "post_author", author);
	this.addFileParam(file.id, "post_category[]", category);
	this.addFileParam(file.id, "ybu_iptc", iptc);
	

	return true;
}

function ybu_uploadProgress(file, complete, total)
{
	var done = Math.round(complete / total * 100);
	var progressDiv = document.getElementById("ybu_progress_"+file.id);
	
	progressDiv.style.width = "" + done +"%";
	progressDiv.innerHTML = "<P>"+file.name + " ("+done+"%, <a href='javascript:ybu_cancel("+file.id+")'>cancel</a>)</p>";

	var progressLi = document.getElementById("ybu_upload_"+file.id);
	var progressP = progressLi.getElementsByTagName("P")[0];
	progressP.innerHTML = file.name + " ("+done+"%)";
}

function ybu_uploadSuccess(file, serverData)
{
	//alert("Success: "+file.name); 
		
	var progressDiv = document.getElementById("ybu_progress_"+file.id);
	progressDiv.className = "ybu_done";
	progressDiv.innerHTML = "<P>"+file.name + " (done)</p>";
}

function ybu_uploadError(file, error_code, message)
{
	//alert("Error: "+message);
	
	var progressDiv = document.getElementById("ybu_progress_"+file.id);
	progressDiv.className = "ybu_error";
	progressDiv.style.width = "100%";
	progressDiv.innerHTML = "<P>"+file.name + " ("+message+")</p>";
}

function ybu_uploadComplete(file)
{
	var stats = this.getStats();
	//alert(stats.files_queued);
	
	if(stats.files_queued > 0)
	{
		//next upload
		this.startUpload();
	}
	else
	{
		var progressElem = document.getElementById("ybu_progress");
		progressElem.style.visibility = "hidden";
		
		var queueElem = document.getElementById("ybu_progress_list");
		queueElem.innerHTML = "";
		

	}
}
